DECODE OS hardware deployment
=============================

This section gives a quick and visual explanation on how to deploy the provided DECODE OS image on an Olimex Lime2 board and power it up. After this the DECODE HUB will be online and automatically connect to all other DECODE nodes.

Upon creating the userspace and kernelspace, we deploy our results on the Olimex OLinuXino LIME2 ARM SoC.

![](01-board.jpg)

Following up, we connect the SATA hard drive with the data and power
cables that are custom-built by Olimex.

![](02-sata-connected.jpg)

We flash the image on a microSD card and put it in place.

![](03-sdcard-inserted.jpg)

The initramfs requires a network connection to be able to check for
and eventually download available updates to the system. It assumes that
the router it's connecting to offers DHCP.

![](04-ethernet-and-power.jpg)

Finally, by connecting the battery and the power supply, the board will
start booting and if everything is done properly, in a couple of minutes
it will boot into DECODE OS.

![](05-battery.jpg)
